import { FilteredTableSource } from "./filtered-table-source";
import { Observable } from "rxjs";
import { SearchResult, TableFilter } from "@yukawa/chain-base-angular-domain";
/**
 * Data source for SearchResult objects
 * (including sorting, pagination, and filtering).
 */
export declare abstract class SearchTableSource<F extends TableFilter | any, E> extends FilteredTableSource<F, E> {
    /**
     * query table data
     */
    protected abstract searchTable(): Observable<SearchResult<E>>;
    protected reloadTable(): Observable<E[]>;
}
